# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.384   -> 1.384.6.1
#	   drivers/usb/usb.c	1.35    -> 1.36   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/03/11	kai@tp1.ruhr-uni-bochum.de	1.384.6.1
# Make USB core init an subsys_initcall, like the other buses.
# 
# As it's linked after PCI, usb_init() will be called after pci_init(),
# which is an subsys_initcall, too. Subtle, but right.
# --------------------------------------------
#
diff -Nru a/drivers/usb/usb.c b/drivers/usb/usb.c
--- a/drivers/usb/usb.c	Wed Mar 13 15:03:21 2002
+++ b/drivers/usb/usb.c	Wed Mar 13 15:03:21 2002
@@ -2614,7 +2614,7 @@
 	usb_hub_cleanup();
 }
 
-module_init(usb_init);
+subsys_initcall(usb_init);
 module_exit(usb_exit);
 
 /*
